API Reference for Marketo Engage

Update Custom Object Type Field

POST /rest/v1/customobjects/schema/{apiName}/{fieldApiName}/updateField.json

Updates a field in custom object type.

Operation ID
updateCustomObjectTypeFieldUsingPOST
Permissions
Read-Write Custom Object Type
Request format
application/json
Returns
ResponseOfCustomObjectType

Parameters

Path 2

apiName string required

API name of custom object type

fieldApiName string required

API name of custom object type field

Request body

application/json · required · UpdateCustomObjectTypeFieldRequest · 8 properties

name string

API Name of custom object field

displayName string

UI display-name of the custom object field

dataType string

Datatype of the custom object field

description string

Description of the custom object field

isDedupeField boolean

Set to true to enable field as unique identifier for deduplicating records. Default is false

relatedTo CustomObjectTypeFieldRelatedTo

Define custom object link field

Model CustomObjectTypeFieldRelatedTo

name string required

Name of linkable object type

field string required

Foreign field to which the parent is linked

Responses

200 OK ResponseOfCustomObjectType
errors array of Error required

Array of errors that occurred if the request was unsuccessful

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string required

Id of the request made

result array of Empty required

Empty array

success boolean required

Whether the request succeeded

warnings array of Warning required

Array of warnings given for the operation

Model Warning

code integer (int32) required

Integer code of the warning

message string required

Message describing the warning

Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    "string"
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Generated from swagger-mapi.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results